Name: irqbalance
Version: 0.56
Release: alt1

Summary: Evenly distribute interrupt load across CPUs
License: GPLv2
Group: System/Kernel and hardware

Url: http://www.irqbalance.org
Source: %name-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig
Source3: %name.1
Patch: %name-0.55-alt-makefile.patch
Packager: Dmitry Lebkov <dlebkov@altlinux.ru>

# Automatically added by buildreq on Tue Feb 02 2010
BuildRequires: gccmakedep glib2-devel

%description
irqbalance distributes interrupts over the processors and cores
you have in your computer system. The design goal of irqbalance
is to do find a balance between power savings and optimal
performance. To a large degree, the work irqbalance does is
invisible to you; if irqbalance performs its job right, nobody
will ever notice it's there or want to turn it off.

%prep
%setup
%patch -p1

%build
%autoreconf
%configure
%make_build

%install
install -pDm755 irqbalance %buildroot/%_sbindir/%name
install -pDm755 %SOURCE1 %buildroot/%_initdir/%name
install -pDm644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/%name
install -pDm644 %SOURCE3 %buildroot/%_man1dir/%name.1

%preun
%preun_service %name

%post
%post_service %name

%files
%_sbindir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%_initdir/%name
%_man1dir/%name.1*

%changelog
* Sat Nov 19 2011 Anton Farygin <rider@altlinux.ru> 0.56-alt1
- new version

* Tue Feb 02 2010 Michael Shigorin <mike@altlinux.org> 0.55-alt4
- spec cleanup
- cleaned up and sent upstream the patch
- extended package description
- buildreq
- fixed License:

* Fri May 15 2009 Dmitry Lebkov <dlebkov@altlinux.ru> 0.55-alt3
- add LSB headers to init-script

* Mon Jun 30 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 0.55-alt2
- fix BuiuldRequires

* Sun May 13 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 0.55-alt1
- 0.55

* Sat Feb 25 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 0.12-alt0
- inital package for ALT (based on RHEL4 kernel-utils)
